local m = {}

local scriptdir = path.getabsolute(path.getdirectory(_SCRIPT))

function m.generateproject(liboutdir, intdir)
	project"ogg"
	language"C" -- c++ will mangle names and sfml wont build
	kind"staticLib"
	targetdir (liboutdir)
	objdir(intdir)
	warnings"Off"

	includedirs {path.join(scriptdir, "include")}

	files
	{
		path.join(scriptdir, "src/**.h"),
		path.join(scriptdir, "src/**.c"),
	}

end

function m.link()
	links{"ogg"}
	externalincludedirs{path.join(scriptdir, "/include")}
end

return m